header {
  width: 100%;
}

:root {
  --header-padding: 64px;
  --header-main-padding: 90px;
}

/* Top Side Header */

.wrapper-top-side {
  width: 100%;
  background-color: var(--primary-color);
}

.header__top-side {
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 1440px;
  margin: 0 auto;
  padding: 0px var(--header-padding);
  background-color: var(--primary-color);
}

.header__top-side__text-promotion {
  display: flex;
  flex: 1;
  flex-shrink: 0;
  flex-basis: fit-content;
  align-items: center;
  max-width: 550px;
  padding: 6px 0;
  text-align: left;
  color: #fff;
  font-size: 1.4rem;
  font-family: 'Montserrat', sans-serif;
  font-weight: 400;
}

.header__top-side__text-promotion a {
  display: inline-block;
  color: #fff;
  font-size: 1.4rem;
  font-family: 'Montserrat', sans-serif;
  font-weight: 400;
  text-decoration: underline;
  transition: color .2s;
}

.header__top-side__text-promotion a:hover {
  color: #dddd;
}

.header__top-side__navigation {
  display: flex;
  align-items: center;
  gap: 16px ;
  padding: 4px 24px;
  background-color: var(--primary-color);
}

.top-side__navigation__list-navigation {
  display: flex;
  align-items: center;
  gap: 12px;
}

.top-side__navigation__list-navigation li a {
  color: #000;
  font-size: 1.3rem;
  font-family: 'Montserrat', sans-serif;
  font-weight: 400;  
  text-transform: uppercase;
  transition: color .2s;
}

.top-side__navigation__list-navigation li a:hover {
  color: #dddd;
}

.header__top-side__separator {
  display: block;
  width: 1px;
  height: 20px;
  background-color: #fff;
}

.glink img {
  width: 24px;
  height: 24px;
}

.top-side__social-media__list-media {
  display: flex;
  align-items: center;
  gap: 10px;
}

.top-side__social-media__list-media li {
  padding: 6px;
  border-radius: 4px;
  transition: background-color 0.3s;
  cursor: pointer;
}

.top-side__social-media__list-media li:hover {
  background-color: rgb(209, 209, 209, 0.2);
}

.top-side__social-media__list-media li a {
  display: block;
  max-width: 16px;
}

/* Main Header */

.wrapper-header-main {
  width: 100%;
  background-color: var(--secondary-color);
}

.header__main {
  position: relative;
  display: flex;
  align-items: center;
  gap: 42px;
  max-width: 1440px;
  margin: 0px auto auto auto;
  /* margin-top: 24px; */
  padding: 20px var(--header-padding);
}

.header__main__logo {
  display: block;
  max-width: 150px;
  min-width: 100px;
}

.header__main__button-hamburguer {
  display: none;
}

.menu-icon {
  display: none;
}

.--active-icon {
  display: block !important;
}

.header__main__search {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  flex: 1;
}

.--search-mobile {
  display: none;
}

.header__main__search input {
  width: 100%;
  padding: 16px 16px;
  font-family: 'Montserrat', sans-serif;
  font-size: 1.8rem;
  font-weight: 600;
  border: 1px solid var(--gray600);
  background-color: #FFF;
  outline: none;
}

.header__main__search input:focus {
  border: 1px solid var(--primary-color);
}

.header__main__search label {
  max-height: 0px;
  max-width: 0px;
  overflow: hidden;
}

.header__main__search button {
  position: absolute;
  right: 16px;
  background-color: transparent;
  border: none;
  cursor: pointer;
}

.header__main__list-actions {
  display: flex;
  align-items: center;
  gap: 24px;
}

.header__main__list-actions li a {
  position: relative;
  display: block;
  max-width: 30px;
}

.header__main__list-actions li a p {
  position: absolute;
  top: -4px;
  right: -8px;
  padding: 2px 5px;
  font-family: 'Montserrat', sans-serif;
  font-weight: 700;
  color: #000;
  background-color: var(--secondary-color);
  border-radius: 35%;
}

.main__list-actions__whatsapp-link {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  margin-top: -16px;
}

.main__list-actions__whatsapp-link p {
  color: #000;
  font-size: 1.3rem;
  font-family: 'Montserrat', sans-serif;
  font-weight: 400;
}

.whatsapp-link__wrapper-number {
  display: flex;
  align-items: center;
  gap: 6px;
  color: #000;
  font-size: 1.8rem;
  font-family: 'Montserrat', sans-serif;
  font-weight: 500;
}

.whatsapp-link__wrapper-number span {
  font-size: 1.1rem;
  color: #000;
}

.whatsapp-link__wrapper-number img {
  width: 24px;
  color: #000;
}

/* Category Header */

.wrapper-header-category {
  width: 100%;
  background-color: var(--primary-color);
}

.header__category {
  position: relative;
  display: flex;
  align-items: center;
  gap: 64px;
  max-width: 1440px;
  margin: 0px auto auto auto;
  padding: 0px var(--header-padding);
}

/* Button List Products */

.header__category__menu-button {
  display: flex;
  align-items: center;
  gap: 30px;
  padding: 16px 36px;
  background-color: var(--primary-color);
  border: none;
  font-family: 'Montserrat', sans-serif;
  font-weight: 500;
  text-transform: uppercase;
  font-size: 1.3rem;
  color: #fff;
  cursor: pointer;
}

.header__category__list-products {
  position: absolute;
  top: 100%;
  /* display: none; */
  opacity: 0;
  background-color: var(--primary-color);
  box-shadow: 2px 2px 16px rgba(0, 0, 0, 0.3);
  z-index: 1;
  transition: all .4s;
  pointer-events: none;
}

.--active-list-menu {
  /* display: block; */
  opacity: 1;
  pointer-events: all;
}

.list-products__product-category a {
  display: flex;
  align-items: center;
  gap: 24px;
  font-family: 'Lexend Deca', sans-serif;
  font-size: 1.4rem;
  font-weight: 400;
  text-transform: uppercase;
  color: #fff;
}

.list-products__product-category a img {
  max-width: 20px;
}

.list-products__product-category   {
  padding: 10px 20px 10px 36px;
}

.list-products__product-category:hover {
  background-color: var(--primary-color);
}

.list-products__product-category .--active-arrow {
  rotate: 0deg !important;
}

.list-products__product-category__sub-category {
  position: absolute;
  left: 100%;
  top: 0;
  display: none;
  height: auto;
  min-height: 100%;
  width: 50vw;
  padding: 16px 24px;
  background-color: var(--gray300);
  transition: all .4s;
}

.list-products__product-category__sub-category.active-dropdown {
  display: block;
}

.list-products__product-category__sub-category h3 a {
  font-family: 'Lexend Deca', sans-serif;
  font-size: 2rem;
  font-weight: 400;
  color: #000;
}

.separator-sub-category {
  display: block;
  width: 100%;
  height: 1px;
  margin: 6px 0;
  background-color: var(--gray600);
}

.product-category__sub-category__wrapper-itens {
  display: flex;
  flex-wrap: wrap;
  gap: 24px;
  margin-top: 16px;
}

.product-category__sub-category__item a {
  color: #000;
  font-family: 'Lexend Deca', sans-serif;
  font-size: 1.3rem;
  font-weight: 400;
  text-transform: uppercase;
  transition: all .3s;
}

.product-category__sub-category__item a:hover {
  color: var(--primary-color);
}

/* Header List Categories */

.header__category__list-categories {
  display: flex;
  gap: 20px;
}

.header__category__list-categories .list-categories__dropdown-father {
  position: relative;
  display: flex;
  align-items: center;
  padding: 10px 0px;
  cursor: pointer;
}

.header__category__list-categories .list-categories__dropdown-father a {
  color: #FFF;
  font-family: 'Lexend Deca';
  font-weight: 400;
  font-size: 1.4rem;
  text-transform: uppercase;
  display: inline-block;
  width: 100%;
  height: 100%;
}

.header__category__list-categories .list-categories__dropdown-father span {
  max-width: 16px;
}

.header__category__list-categories .list-categories__dropdown-father > span img {
  margin-top: 2px;
  rotate: -90deg;
  transition: rotate .2s;
}
.--active-arrow {
  rotate: 90deg !important;
}

.active-dropdown {
  opacity: 1 !important;
  visibility: visible !important;
}

.inactive-dropdown {
  opacity: 0;
}

.list-categories__dropdown-child{
  position: absolute;
  top: 36px;
  margin-left: -10px;
  opacity: 0;
  visibility: hidden;
  background-color: var(--gray500);
  box-shadow: 2px 2px 16px rgba(0, 0, 0, 0.3);
  z-index: 2;
  transition: all .4s;
}

.dropdown-child__sub-category {
  position: relative;
  display: flex;
  justify-content: space-between;
  width: 310px;
  padding: 16px;
  transition: all .3s;
}

.dropdown-child__sub-category span img {
  rotate: 0deg;
  transition: all .2s;
}

.dropdown-child__sub-category .--active-arrow {
  rotate: 0deg !important;
}

.dropdown-child__sub-category:hover {
  background-color: var(--gray600);
}

.dropdown-child__sub-category a {
  color: #000;
  font-family: 'Lexend Deca';
  font-weight: 400;
  font-size: 1.4rem;
  text-transform: uppercase;
}

.list-categories__dropdown-child__dropwdown-granchild {
  position: absolute;
  top: 0;
  left: 100%;
  opacity: 0;
  width: 100%;
  background-color: var(--gray500);
  border-left: 1px solid var(--gray600);
  box-shadow: 4px -2px 6px -5px rgba(0, 0, 0, 0.3);
  z-index: 2;
  transition: all .4s;
}

.dropdown-grandchild__item {
  padding: 16px;
}

.dropdown-grandchild__item a {
  color: #000;
  font-family: 'Lexend Deca';
  font-weight: 400;
  font-size: 1.4rem;
  text-transform: uppercase;
  transition: all .2s;
}

.dropdown-grandchild__item a:hover {
  color: var(--primary-color);
}

/* Mobile Navigation */

.header__mobile-navigation {
  position: absolute;
  top: 100%;
  left: 0;
  display: none;
  width: 100%;
  height: auto;
  padding: 6px 0 36px 0;
  border-top: 1px solid var(--gray600 );
  background-color: #fff;
  z-index: 1;
}

.header__mobile-navigation.--mobile-navigation-active {
  display: block;
}

.header__mobile-navigation__list-navigation > li a {
  display: flex;
  align-items: center;
  gap: 12px;
  width: 100%;
  padding: 16px var(--header-main-padding);
  color: #000;
  font-family: 'Lexend Deca';
  font-weight: 400;
  font-size: 1.6rem;
  transition: all .4s;
}

.header__mobile-navigation__list-navigation > li a img {
  max-width: 20px;
}

.header__mobile-navigation__list-navigation li a:hover {
  color: #1d1d1d;
  background-color: var(--blue100);
}

.header__mobile-navigation h2 {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 10px auto;
  color: #000;
  font-family: 'Lexend Deca';
  font-weight: 400;
  font-size: 1.4em;
  text-align: center;
}

.header__mobile-navigation h2::before {
  content: "";
  display: block;
  width: 35%;
  height: 1px;
  margin-right: 6px;
  background-color: var(--gray600);
}

.header__mobile-navigation h2::after {
  content: "";
  display: block;
  width: 35%;
  height: 1px;
  margin-left: 6px;
  background-color: var(--gray600);
}

.header__mobile-navigation__dropdown > li {
  display: flex;
  flex-direction: column;
  padding: 0 var(--header-main-padding);
}

.header__mobile-navigation__dropdown > li img {
  max-width: 20px;
}

.header__mobile-navigation__dropdown > li a {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 12px;
  width: 100%;
  padding: 10px 0px;
  color: #000;
  font-family: 'Lexend Deca';
  font-weight: 400;
  font-size: 1.6rem;
}

.header__mobile-navigation__dropdown > li a span {
  display: flex;
  flex: 1;
  justify-content: flex-end;
  pointer-events: none;
}

.header__mobile-navigation__dropdown > li a span img {
  rotate: -90deg;
  transition: all .2s;
}

.header__mobile-navigation__dropdown .list-categories__dropdown-child {
  position: initial;
  display: none;
  z-index: 3;
  margin-left: 0px;
  background-color: #fff;
  box-shadow: none;
  opacity: 1;
  visibility: visible;
}

.header__mobile-navigation__dropdown .active-dropdown {
  display: block;
}


.header__mobile-navigation__dropdown .list-categories__dropdown-child .dropdown-child__sub-category {
	display: flex;
	flex-wrap: nowrap;
	margin-top: 10px;
	width: 100%;
	padding: 0px 16px;
	flex-direction: column;
}

.header__mobile-navigation__dropdown .list-categories__dropdown-child .dropdown-child__sub-category:hover {
  background-color: #fff;
}

.header__mobile-navigation__dropdown .list-categories__dropdown-child .dropdown-child__sub-category a {
  text-transform: none;
}

.header__mobile-navigation__dropdown .list-categories__dropdown-child .dropdown-child__sub-category span {
  max-width: 20px;
  opacity: 0.2;
}

.list-categories__dropdown-child__dropwdown-grandchild-mobile {
  display: none;
  border-left: 1px solid var(--gray600);
}

.header__mobile-navigation__dropdown .list-categories__dropdown-child .dropdown-child__sub-category .dropdown-grandchild__item {
	padding: 0px 16px;
}

.header__mobile-navigation .gtranslate_wrapper {
	margin: 16px auto auto auto;
	display: flex;
	align-items: center;
	justify-content: center;
}

@media (max-width: 1365px) {
  .list-categories__dropdown-father:last-child .list-categories__dropdown-child {
    left: -100%;
  }

  .header__category {
    gap: 20px;
  }
  
}

@media (max-width: 1270px) {
  .header__top-side {
    flex-direction: column;
    align-items: center;
  }

  .header__top-side__text-promotion {
    text-align: center;
  }
}

@media (max-width: 1200px) {
  :root {
    --header-padding: 36px;
    --header-main-padding: 36px;
  }

  .header__main {
    gap: 24px;
  }

  .header__category__menu-button {
    gap: 6px;
    padding: 16px 16px;
  }

  .list-products__product-category__sub-category {
    width: 70vw;
  }

  .list-categories__dropdown-child {
    margin-left: -24px;
  }

  .dropdown-child__sub-category {
    flex-wrap: wrap;
  }

  .dropdown-child__sub-category .--active-arrow {
    rotate: 90deg !important;
  }

  .dropdown-child__sub-category:hover {
    background-color: var(--gray500);
  }  

  .list-categories__dropdown-child__dropwdown-granchild {
    position: initial;
    display: none;
    opacity: 1;
  }

  .list-categories__dropdown-child__dropwdown-granchild.active-dropdown {
    display: flex !important;
    flex-direction: column;
    flex-basis: 310px;
    margin-top: 10px;
    border-left: 0;
    border-right: 0;
    box-shadow: none;
    border-top: 1px solid var(--gray600);
  }

}

@media (max-width: 768px) {
  :root {
    --header-padding: 16px;
    --header-main-padding: 20px;
    --padding-search-button: 24px;
  }

  /* Header TopSide */

  .header__top-side__navigation {
    display: none;
  }

  .header__top-side__text-promotion {
    display: inline;
  }

  /* Header Main */

  .header__main {
    justify-content: space-between;
    gap: 16px;
  }

  .header__main__button-hamburguer {
    display: block;
    max-width: 32px;
    background-color: transparent;
    border: none;
    cursor: pointer;
  }  

  .header__main__logo {
    display: flex;
    justify-content: center;
    max-width: 100px;
    min-width: 50px;
  }

  .header__main__search.--search-mobile {
    display: flex;
    margin-top: 24px;
    padding: 0 var(--header-padding);
    font-size: 1.4rem;
  }

  .header__main__search.--search-mobile input {
    background-color: white;
    /* padding-right: 50px; */
    padding: 10px 50px 10px 16px;
  }

  .header__main__search.--search-mobile button {
    position: absolute;
    right: var(--padding-search-button);
    padding-left: 8px;
    height: 70%;
    border-left: 1px solid var(--gray500) !important;
    border: none;
    cursor: pointer;
  } 

  .header__main__search.--search-mobile button img {
    width: 28px;
  }

  .header__main__search {
    display: none;
  }

  .header__main__list-actions {
    gap: 10px;
  }  

  .header__main__list-actions li a {
    max-width: 28px;
  }

  .main__list-actions__whatsapp-link {
    display: none;
  }

  /* Header Category */

  .header__category {
    display: none;
  }

  .dropdown-link-mobile {
    display: flex;
    align-items: center;
  }

  .dropdown-link-mobile a,
  .dropdown-link-mobile span {
    pointer-events: none;
  }
}